package com.ruoyi.project.training.bccnew.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.training.bccnew.mapper.TTsTrainerMapper;
import com.ruoyi.project.training.bccnew.domain.TTsTrainer;
import com.ruoyi.project.training.bccnew.service.ITTsTrainerService;

/**
 * 蒸汽裂解装置导师带徒导师库Service业务层处理
 *
 * @author ssy
 * @date 2024-08-12
 */
@Service
public class TTsTrainerServiceImpl implements ITTsTrainerService
{
    @Autowired
    private TTsTrainerMapper tTsTrainerMapper;

    /**
     * 查询蒸汽裂解装置导师带徒导师库
     *
     * @param trainerId 蒸汽裂解装置导师带徒导师库ID
     * @return 蒸汽裂解装置导师带徒导师库
     */
    @Override
    public TTsTrainer selectTTsTrainerById(Long trainerId)
    {
        return tTsTrainerMapper.selectTTsTrainerById(trainerId);
    }

    /**
     * 查询蒸汽裂解装置导师带徒导师库列表
     *
     * @param tTsTrainer 蒸汽裂解装置导师带徒导师库
     * @return 蒸汽裂解装置导师带徒导师库
     */
    @Override
    public List<TTsTrainer> selectTTsTrainerList(TTsTrainer tTsTrainer)
    {
        return tTsTrainerMapper.selectTTsTrainerList(tTsTrainer);
    }

    /**
     * 新增蒸汽裂解装置导师带徒导师库
     *
     * @param tTsTrainer 蒸汽裂解装置导师带徒导师库
     * @return 结果
     */
    @Override
    public int insertTTsTrainer(TTsTrainer tTsTrainer)
    {
        return tTsTrainerMapper.insertTTsTrainer(tTsTrainer);
    }

    /**
     * 修改蒸汽裂解装置导师带徒导师库
     *
     * @param tTsTrainer 蒸汽裂解装置导师带徒导师库
     * @return 结果
     */
    @Override
    public int updateTTsTrainer(TTsTrainer tTsTrainer)
    {
        return tTsTrainerMapper.updateTTsTrainer(tTsTrainer);
    }

    /**
     * 批量删除蒸汽裂解装置导师带徒导师库
     *
     * @param trainerIds 需要删除的蒸汽裂解装置导师带徒导师库ID
     * @return 结果
     */
    @Override
    public int deleteTTsTrainerByIds(Long[] trainerIds)
    {
        return tTsTrainerMapper.deleteTTsTrainerByIds(trainerIds);
    }

    /**
     * 删除蒸汽裂解装置导师带徒导师库信息
     *
     * @param trainerId 蒸汽裂解装置导师带徒导师库ID
     * @return 结果
     */
    @Override
    public int deleteTTsTrainerById(Long trainerId)
    {
        return tTsTrainerMapper.deleteTTsTrainerById(trainerId);
    }
}
